# API Reference

## API List

This collection of calls features in the parcelLab API v2 LTS and is used by different services, including the App. The available endpoints are grouped corresponding to their usage.

### API Tokens

Use the following API page to manage API access.

{% content-ref url="/pages/5QYLr3vdqT5qOqEgrByu" %}
[API Tokens](/docs/developers/v2/api-access/tokens.md)
{% endcontent-ref %}

### Orders

Use the following API pages to manage data and communications for trackings and orders in the parcelLab system.

{% content-ref url="/pages/Oe4s3aOq49inNS4Fr0Ti" %}
[Trackings/Orders](/docs/developers/v2/orders/trackings-orders.md)
{% endcontent-ref %}

{% content-ref url="/pages/DWtNkd4BwhNkCn5ZdVjd" %}
[Files and Attachments](/docs/developers/v2/orders/files-and-attachments.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MiSu8IyM6lTCAfPR58h" %}
[Trigger Messages](/docs/developers/v2/orders/trigger-messages.md)
{% endcontent-ref %}

### Status Updates

Use the following API pages to send, update, and retrieve status updates/checkpoints of an order or tracking in the parcelLab system.

{% content-ref url="/pages/-MXqvJjywxA1uA0mbCIS" %}
[Order/Warehouse Events](/docs/developers/v2/status-updates/send-shop-events.md)
{% endcontent-ref %}

{% content-ref url="/pages/pSkIZFSZthqcKE410W0o" %}
[Checkpoints](/docs/developers/v2/status-updates/checkpoints.md)
{% endcontent-ref %}

{% content-ref url="/pages/-M71E53LbqBEHKGSok6f" %}
[Retrieving the Security Hash](/docs/developers/v2/status-updates/configuration/retrieving-the-security-hash.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MDJ5ISyzJTrXt801JUH" %}
[Chatbots](/docs/developers/v2/status-updates/chatbots.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MVCnLpGtUqakWXGwduS" %}
[Apps](/docs/developers/v2/status-updates/apps.md)
{% endcontent-ref %}

{% content-ref url="/pages/VaXVxZcPcGjgcx5csz3j" %}
[Apple Wallet](/docs/developers/v2/status-updates/apple-wallet.md)
{% endcontent-ref %}

{% content-ref url="/pages/-LoFEk34CfM5IPuEtuLt" %}
[Scans and Status Events](/docs/developers/v2/data-elements/carrier-integration/scans-and-status-events.md)
{% endcontent-ref %}

{% content-ref url="/pages/-LoFEytOvlQEKGW4IvLw" %}
[Live Geo Tracking](/docs/developers/v2/data-elements/carrier-integration/live-geo-tracking.md)
{% endcontent-ref %}

### Promise

Use the following API page to retrieve forecasted delivery dates to display pre-checkout in your web shop.

{% content-ref url="/pages/kcO2poMVo9LpuQkzpm1X" %}
[Promise Dates](/docs/developers/v2/promise/promise-dates.md)
{% endcontent-ref %}

### Returns

Use the following API pages to manage returns after creation and to trigger return flows after a return has been approved or rejected by your warehouse.

{% content-ref url="/pages/ECzngWMawj0hRD9NBSDr" %}
[RMA Actions API](/docs/developers/v2/returns/rma-actions-api.md)
{% endcontent-ref %}

{% content-ref url="/pages/qzmOVvmfGvVO314CsM3y" %}
[Warehouse Events for Returns](/docs/developers/v2/returns/warehouse-events-for-returns.md)
{% endcontent-ref %}

### Security

Use the following API page to request for and remove Personally Identifiable Information (PII) in the parcelLab system to comply with data privacy framework and legislation.

{% content-ref url="/pages/b1AHm1WwnEbXsWzhLY4R" %}
[Data Protection](/docs/developers/v2/security/data-protection.md)
{% endcontent-ref %}

### Utility Services

Use the following API page to perform key tasks, including to generate barcodes.

{% content-ref url="/pages/lNuD2I2eKFXTgzNI0ux9" %}
[Barcodes](/docs/developers/v2/utility-services/barcodes.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parcellab.com/docs/developers/v2/getting-started/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
